<main>

  <section class="banner_paginas">
    <div class="container">
      <div class="row">
        <div class="col-md-12 d-none d-md-block">
			<h1 class="text-center roboto-thin titulo_banner">EDIÇÕES ANTERIORES<?php if($_GET['ano'] != 1900){echo ' | '.$_GET['ano'];} ?></h1>
		</div>
		<div class="col-md-12 d-md-none">
			<h1 class="text-center roboto-medium">EDIÇÕES ANTERIORES<?php if($_GET['ano'] != 1900){echo ' | '.$_GET['ano'];} ?></h1>
		</div>
      </div>
    </div>
  </section>
  
  <section class="edicao_container">
    <div class="container">
      <div class="row">
        <div class="col-md-2">
			&nbsp;
		</div>
		<div class="col-md-8">
			<?php
			if($_GET['ano'] == 1900){
			?>
			<p class="text-center">
			<?php
			$ano = 2015;
			$ano_atual = date("Y");
			while($ano <= $ano_atual){
			$data_i = $ano.'-01-01';
			$data_f = $ano.'-12-31';
			$sql = $conecta->query("SELECT COUNT(id) AS verif FROM publicacoes WHERE edicao >= '$data_i' AND edicao <= '$data_f'");
			while ($consulta = $sql->fetch_assoc()){
			$verif = $consulta['verif'];}
			if($verif > 0){
			?>
			<a href="<?php echo URL_BASE; ?>edicoes-anterioes/<?php echo $ano; ?>" class="btn btn-success"><?php echo $ano; ?></a>&nbsp;&nbsp;
			<?php
			}
			$ano = $ano + 1;
			}
			?>
			</p>
			<?php
			}
			else{
			?>
			<div class="row">
			<?php
			$data_ri = $_GET['ano'].'-01-01';
			$data_rf = $_GET['ano'].'-12-31';
			$sql2 = $conecta->query("SELECT id, edicao, miniatura FROM publicacoes WHERE edicao >= '$data_ri' AND edicao <= '$data_rf' ORDER BY edicao DESC");
		    while ($consulta2 = $sql2->fetch_assoc()){
		    switch(date("m", strtotime($consulta2['edicao']))){
		    case '01': $mes_extenso = 'Janeiro de '.date("Y", strtotime($consulta2['edicao']));
		    break;
		    case '02': $mes_extenso = 'Fevereiro de '.date("Y", strtotime($consulta2['edicao']));
		    break;
		    case '03': $mes_extenso = 'Março de '.date("Y", strtotime($consulta2['edicao']));
		    break;
		    case '04': $mes_extenso = 'Abril de '.date("Y", strtotime($consulta2['edicao']));
		    break;
		    case '05': $mes_extenso = 'Maio de '.date("Y", strtotime($consulta2['edicao']));
		    break;
		    case '06': $mes_extenso = 'Junho de '.date("Y", strtotime($consulta2['edicao']));
		    break;
		    case '07': $mes_extenso = 'Julho de '.date("Y", strtotime($consulta2['edicao']));
		    break;
		    case '08': $mes_extenso = 'Agosto de '.date("Y", strtotime($consulta2['edicao']));
		    break;
		    case '09': $mes_extenso = 'Setembro de '.date("Y", strtotime($consulta2['edicao']));
		    break;
		    case '10': $mes_extenso = 'Outubro de '.date("Y", strtotime($consulta2['edicao']));
		    break;
		    case '11': $mes_extenso = 'Novembro de '.date("Y", strtotime($consulta2['edicao']));
		    break;
		    case '12': $mes_extenso = 'Dezembro de '.date("Y", strtotime($consulta2['edicao']));
		    break;}
			?>
			<div class="col-4">
				<a href="<?php echo URL_BASE; ?>controle/dwn_publi.php?id=<?php echo $consulta2['id']; ?>">
				<?php
				// Decodifica a string base64
				$image_data = base64_decode($consulta2['miniatura']);

				$webp_header = 'RIFF';
				if (substr($image_data, 0, 4) === $webp_header) {
				?>
				<img src="data:image/webp;base64,<?php echo $consulta2['miniatura']; ?>" style="position:relative;width:70%;left:50%;margin-left:-35%;border:1px solid #ccc;">
				<?php
				} else {
				// Verifica os primeiros bytes para identificar o tipo
				$first_two_bytes = substr($image_data, 0, 2);
				$jpeg_marker = "\xFF\xD8";
				$png_marker = "\x89\x50";
				if ($first_two_bytes === $jpeg_marker) {
				?>
				<img src="data:image/jpeg;base64,<?php echo $consulta2['miniatura']; ?>" style="position:relative;width:70%;left:50%;margin-left:-35%;border:1px solid #ccc;">
				<?php
				} elseif ($first_two_bytes === $png_marker) {
				?>
				<img src="data:image/png;base64,<?php echo $consulta2['miniatura']; ?>" style="position:relative;width:70%;left:50%;margin-left:-35%;border:1px solid #ccc;">
				<?php
				} else {
				echo "O tipo da imagem não pôde ser determinado.";
				}}
				?>
						
			</a><br><br>
				<h6 class="text-center">Edição <?php echo $mes_extenso; ?></h6>
			</div>
			<?php
			}
			?>
			</div>
			<?php
			}
			?>
		<div class="col-md-2">
			&nbsp;
		</div>
      </div>
    </div>
  </section>
